diff --git a/doc/bash.ps b/doc/bash.ps
index 7a1f7eb6..e3a221b8 100644
--- a/doc/bash.ps
+++ b/doc/bash.ps
@@ -2976,134 +2978,134 @@ E(Aliases are created and listed with the)108 295.2 Q F1(alias)2.5 E F0
 (shell option is set)3.72 F(using)108 352.8 Q F1(shopt)2.5 E F0
 (\(see the description of)2.5 E F1(shopt)2.5 E F0(under)2.5 E F4
 (SHELL B)2.5 E(UIL)-.09 E(TIN COMMANDS)-.828 E F0(belo)2.25 E(w\).)-.25
-E .435
+E .436
 (The rules concerning the de\214nition and use of aliases are some)108
-369.6 R .436(what confusing.)-.25 F F1(Bash)5.436 E F0(al)2.936 E -.1
-(wa)-.1 G .436(ys reads at least).1 F .338
+369.6 R .435(what confusing.)-.25 F F1(Bash)5.435 E F0(al)2.935 E -.1
+(wa)-.1 G .435(ys reads at least).1 F .337
 (one complete line of input before e)108 381.6 R -.15(xe)-.15 G .338
 (cuting an).15 F 2.838(yo)-.15 G 2.838(ft)-2.838 G .338
-(he commands on that line.)-2.838 F .337(Aliases are e)5.337 F .337
-(xpanded when)-.15 F 3.403(ac)108 393.6 S .904
-(ommand is read, not when it is e)-3.403 F -.15(xe)-.15 G 3.404
+(he commands on that line.)-2.838 F .338(Aliases are e)5.338 F .338
+(xpanded when)-.15 F 3.404(ac)108 393.6 S .904
+(ommand is read, not when it is e)-3.404 F -.15(xe)-.15 G 3.404
 (cuted. Therefore,).15 F .904
-(an alias de\214nition appearing on the same line as)3.404 F 1.162
+(an alias de\214nition appearing on the same line as)3.404 F 1.161
 (another command does not tak)108 405.6 R 3.662(ee)-.1 G -.25(ff)-3.662
 G 1.162(ect until the ne).25 F 1.162(xt line of input is read.)-.15 F
-1.161(The commands follo)6.161 F 1.161(wing the)-.25 F .277
+1.162(The commands follo)6.162 F 1.162(wing the)-.25 F .277
 (alias de\214nition on that line are not af)108 417.6 R .277
 (fected by the ne)-.25 F 2.777(wa)-.25 G 2.777(lias. This)-2.777 F(beha)
-2.777 E .277(vior is also an issue when functions)-.2 F .699(are e)108
-429.6 R -.15(xe)-.15 G 3.199(cuted. Aliases).15 F .699(are e)3.199 F
+2.777 E .277(vior is also an issue when functions)-.2 F .698(are e)108
+429.6 R -.15(xe)-.15 G 3.198(cuted. Aliases).15 F .698(are e)3.198 F
 .699(xpanded when a function de\214nition is read, not when the functio\
-n is e)-.15 F -.15(xe)-.15 G(cuted,).15 E .494
+n is e)-.15 F -.15(xe)-.15 G(cuted,).15 E .495
 (because a function de\214nition is itself a compound command.)108 441.6
-R .495(As a consequence, aliases de\214ned in a func-)5.494 F .085
+R .494(As a consequence, aliases de\214ned in a func-)5.494 F .084
 (tion are not a)108 453.6 R -.25(va)-.2 G .084
 (ilable until after that function is e).25 F -.15(xe)-.15 G 2.584
 (cuted. T).15 F 2.584(ob)-.8 G 2.584(es)-2.584 G .084(afe, al)-2.584 F
--.1(wa)-.1 G .084(ys put alias de\214nitions on a sepa-).1 F
+-.1(wa)-.1 G .085(ys put alias de\214nitions on a sepa-).1 F
 (rate line, and do not use)108 465.6 Q F1(alias)2.5 E F0
 (in compound commands.)2.5 E -.15(Fo)108 482.4 S 2.5(ra).15 G(lmost e)
 -2.5 E -.15(ve)-.25 G
 (ry purpose, aliases are superseded by shell functions.).15 E F3
-(FUNCTIONS)72 499.2 Q F0 3.467(As)108 511.2 S .967
-(hell function, de\214ned as described abo)-3.467 F 1.267 -.15(ve u)-.15
+(FUNCTIONS)72 499.2 Q F0 3.468(As)108 511.2 S .968
+(hell function, de\214ned as described abo)-3.468 F 1.267 -.15(ve u)-.15
 H(nder).15 E F4 .967(SHELL GRAMMAR)3.467 F/F5 9/Times-Roman@0 SF(,)A F0
-.968(stores a series of commands for)3.217 F 1.002(later e)108 523.2 R
--.15(xe)-.15 G 3.502(cution. When).15 F 1.002(the name of a shell funct\
-ion is used as a simple command name, the list of com-)3.502 F .315
+.967(stores a series of commands for)3.217 F 1.001(later e)108 523.2 R
+-.15(xe)-.15 G 3.501(cution. When).15 F 1.002(the name of a shell funct\
+ion is used as a simple command name, the list of com-)3.501 F .316
 (mands associated with that function name is e)108 535.2 R -.15(xe)-.15
-G 2.816(cuted. Functions).15 F .316(are e)2.816 F -.15(xe)-.15 G .316
-(cuted in the conte).15 F .316(xt of the current)-.15 F .036
-(shell; no ne)108 547.2 R 2.536(wp)-.25 G .036
-(rocess is created to interpret them \(contrast this with the e)-2.536 F
--.15(xe)-.15 G .036(cution of a shell script\).).15 F .035(When a)5.035
-F .639(function is e)108 559.2 R -.15(xe)-.15 G .639(cuted, the ar).15 F
+G 2.816(cuted. Functions).15 F .316(are e)2.816 F -.15(xe)-.15 G .315
+(cuted in the conte).15 F .315(xt of the current)-.15 F .035
+(shell; no ne)108 547.2 R 2.535(wp)-.25 G .036
+(rocess is created to interpret them \(contrast this with the e)-2.535 F
+-.15(xe)-.15 G .036(cution of a shell script\).).15 F .036(When a)5.036
+F .64(function is e)108 559.2 R -.15(xe)-.15 G .64(cuted, the ar).15 F
 .639
 (guments to the function become the positional parameters during its e)
--.18 F -.15(xe)-.15 G(cution.).15 E .533(The special parameter)108 571.2
-R F1(#)3.033 E F0 .532(is updated to re\215ect the change.)3.033 F .532
-(Special parameter 0 is unchanged.)5.532 F .532(The \214rst ele-)5.532 F
-1.017(ment of the)108 583.2 R F4(FUNCN)3.517 E(AME)-.18 E F0 -.25(va)
-3.267 G 1.017
+-.18 F -.15(xe)-.15 G(cution.).15 E .532(The special parameter)108 571.2
+R F1(#)3.032 E F0 .532(is updated to re\215ect the change.)3.032 F .533
+(Special parameter 0 is unchanged.)5.532 F .533(The \214rst ele-)5.533 F
+1.018(ment of the)108 583.2 R F4(FUNCN)3.518 E(AME)-.18 E F0 -.25(va)
+3.268 G 1.017
 (riable is set to the name of the function while the function is e).25 F
--.15(xe)-.15 G 3.518(cuting. All).15 F 1.285
+-.15(xe)-.15 G 3.517(cuting. All).15 F 1.285
 (other aspects of the shell e)108 595.2 R -.15(xe)-.15 G 1.285
 (cution en).15 F 1.285
 (vironment are identical between a function and its caller with the)-.4
-F -.15(ex)108 607.2 S 2.029(ception that the).15 F F4(DEB)4.529 E(UG)
--.09 E F0(and)4.279 E F1(RETURN)4.529 E F0 2.029
-(traps \(see the description of the)4.529 F F1(trap)4.53 E F0 -.2(bu)
-4.53 G 2.03(iltin under).2 F F4(SHELL)4.53 E -.09(BU)108 619.2 S(IL).09
-E .479(TIN COMMANDS)-.828 F F0(belo)2.729 E .479
+F -.15(ex)108 607.2 S 2.03(ception that the).15 F F4(DEB)4.53 E(UG)-.09
+E F0(and)4.28 E F1(RETURN)4.53 E F0 2.029
+(traps \(see the description of the)4.53 F F1(trap)4.529 E F0 -.2(bu)
+4.529 G 2.029(iltin under).2 F F4(SHELL)4.529 E -.09(BU)108 619.2 S(IL)
+.09 E .478(TIN COMMANDS)-.828 F F0(belo)2.728 E .479
 (w\) are not inherited unless the function has been gi)-.25 F -.15(ve)
--.25 G 2.978(nt).15 G(he)-2.978 E F1(trace)2.978 E F0(attrib)2.978 E
-.478(ute \(see)-.2 F .42(the description of the)108 631.2 R F4(declar)
+-.25 G 2.979(nt).15 G(he)-2.979 E F1(trace)2.979 E F0(attrib)2.979 E
+.479(ute \(see)-.2 F .421(the description of the)108 631.2 R F4(declar)
 2.92 E(e)-.162 E F0 -.2(bu)2.67 G .42(iltin belo).2 F .42(w\) or the)
 -.25 F F1 .42(\255o functrace)2.92 F F0 .42
-(shell option has been enabled with the)2.92 F F1(set)2.921 E F0 -.2(bu)
+(shell option has been enabled with the)2.92 F F1(set)2.92 E F0 -.2(bu)
 108 643.2 S(iltin \(in which case all functions inherit the).2 E F1(DEB)
 2.5 E(UG)-.1 E F0(and)2.5 E F1(RETURN)2.5 E F0(traps\).)2.5 E -1.11(Va)
-108 660 S .656(riables local to the function may be declared with the)
-1.11 F F1(local)3.155 E F0 -.2(bu)3.155 G .655(iltin command.).2 F
-(Ordinarily)5.655 E 3.155(,v)-.65 G .655(ariables and)-3.405 F(their v)
+108 660 S .655(riables local to the function may be declared with the)
+1.11 F F1(local)3.155 E F0 -.2(bu)3.156 G .656(iltin command.).2 F
+(Ordinarily)5.656 E 3.156(,v)-.65 G .656(ariables and)-3.406 F(their v)
 108 672 Q(alues are shared between the function and its caller)-.25 E(.)
--.55 E .043(If the b)108 688.8 R .043(uiltin command)-.2 F F1 -.18(re)
+-.55 E .044(If the b)108 688.8 R .043(uiltin command)-.2 F F1 -.18(re)
 2.543 G(tur).18 E(n)-.15 E F0 .043(is e)2.543 F -.15(xe)-.15 G .043
 (cuted in a function, the function completes and e).15 F -.15(xe)-.15 G
-.044(cution resumes with).15 F 1.012(the ne)108 700.8 R 1.012
+.043(cution resumes with).15 F 1.011(the ne)108 700.8 R 1.011
 (xt command after the function call.)-.15 F(An)6.011 E 3.511(yc)-.15 G
-1.011(ommand associated with the)-3.511 F F1(RETURN)3.511 E F0 1.011
-(trap is e)3.511 F -.15(xe)-.15 G(cuted).15 E .213(before e)108 712.8 R
--.15(xe)-.15 G .213(cution resumes.).15 F .213
-(When a function completes, the v)5.213 F .214
+1.011(ommand associated with the)-3.511 F F1(RETURN)3.512 E F0 1.012
+(trap is e)3.512 F -.15(xe)-.15 G(cuted).15 E .214(before e)108 712.8 R
+-.15(xe)-.15 G .214(cution resumes.).15 F .213
+(When a function completes, the v)5.214 F .213
 (alues of the positional parameters and the spe-)-.25 F(cial parameter)
 108 724.8 Q F1(#)2.5 E F0(are restored to the v)2.5 E(alues the)-.25 E
 2.5(yh)-.15 G(ad prior to the function')-2.5 E 2.5(se)-.55 G -.15(xe)
--2.65 G(cution.).15 E(GNU Bash-3.2)72 768 Q(2006 December 26)135.965 E
-(24)185.955 E 0 Cg EP
+-2.65 G(cution.).15 E(GNU Bash-3.2)72 768 Q(2007 January 12)140.96 E(24)
+190.95 E 0 Cg EP
 %%Page: 25 25
 %%BeginPageSetup
 BP
 %%EndPageSetup
 /F0 10/Times-Roman@0 SF -.35(BA)72 48 S 389.54(SH\(1\) B).35 F(ASH\(1\))
--.35 E 1.359(Function names and de\214nitions may be listed with the)108
+-.35 E 1.358(Function names and de\214nitions may be listed with the)108
 84 R/F1 10/Times-Bold@0 SF<ad66>3.858 E F0 1.358(option to the)3.858 F
-F1(declar)3.858 E(e)-.18 E F0(or)3.858 E F1(typeset)3.858 E F0 -.2(bu)
-3.858 G 1.358(iltin com-).2 F 3.39(mands. The)108 96 R F1<ad46>3.39 E F0
+F1(declar)3.858 E(e)-.18 E F0(or)3.859 E F1(typeset)3.859 E F0 -.2(bu)
+3.859 G 1.359(iltin com-).2 F 3.39(mands. The)108 96 R F1<ad46>3.39 E F0
 .89(option to)3.39 F F1(declar)3.39 E(e)-.18 E F0(or)3.39 E F1(typeset)
 3.39 E F0 .89
 (will list the function names only \(and optionally the source)3.39 F
-.327(\214le and line number)108 108 R 2.827(,i)-.4 G 2.827(ft)-2.827 G
-(he)-2.827 E F1(extdeb)2.827 E(ug)-.2 E F0 .326
-(shell option is enabled\).)2.827 F .326(Functions may be e)5.326 F .326
-(xported so that subshells)-.15 F 1.297(automatically ha)108 120 R 1.597
--.15(ve t)-.2 H 1.297(hem de\214ned with the).15 F F1<ad66>3.797 E F0
-1.297(option to the)3.797 F F1(export)3.798 E F0 -.2(bu)3.798 G 3.798
-(iltin. A).2 F 1.298(function de\214nition may be)3.798 F .161
-(deleted using the)108 132 R F1<ad66>2.661 E F0 .161(option to the)2.661
-F F1(unset)2.661 E F0 -.2(bu)2.661 G 2.661(iltin. Note).2 F .16
-(that shell functions and v)2.661 F .16(ariables with the same name)-.25
-F 1.325(may result in multiple identically-named entries in the en)108
-144 R 1.325(vironment passed to the shell')-.4 F 3.825(sc)-.55 G 3.825
-(hildren. Care)-3.825 F(should be tak)108 156 Q
+.326(\214le and line number)108 108 R 2.826(,i)-.4 G 2.826(ft)-2.826 G
+(he)-2.826 E F1(extdeb)2.826 E(ug)-.2 E F0 .326
+(shell option is enabled\).)2.826 F .327(Functions may be e)5.327 F .327
+(xported so that subshells)-.15 F 1.298(automatically ha)108 120 R 1.598
+-.15(ve t)-.2 H 1.298(hem de\214ned with the).15 F F1<ad66>3.798 E F0
+1.298(option to the)3.798 F F1(export)3.797 E F0 -.2(bu)3.797 G 3.797
+(iltin. A).2 F 1.297(function de\214nition may be)3.797 F .16
+(deleted using the)108 132 R F1<ad66>2.66 E F0 .16(option to the)2.66 F
+F1(unset)2.66 E F0 -.2(bu)2.66 G 2.661(iltin. Note).2 F .161
+(that shell functions and v)2.661 F .161(ariables with the same name)
+-.25 F 1.325(may result in multiple identically-named entries in the en)
+108 144 R 1.325(vironment passed to the shell')-.4 F 3.825(sc)-.55 G
+3.825(hildren. Care)-3.825 F(should be tak)108 156 Q
 (en in cases where this may cause a problem.)-.1 E
 (Functions may be recursi)108 172.8 Q -.15(ve)-.25 G 5(.N).15 G 2.5(ol)
 -5 G(imit is imposed on the number of recursi)-2.5 E .3 -.15(ve c)-.25 H
 (alls.).15 E/F2 10.95/Times-Bold@0 SF(ARITHMETIC EV)72 189.6 Q(ALU)
--1.478 E -1.04(AT)-.657 G(ION)1.04 E F0 2.298(The shell allo)108 201.6 R
+-1.478 E -1.04(AT)-.657 G(ION)1.04 E F0 2.297(The shell allo)108 201.6 R
 2.297(ws arithmetic e)-.25 F 2.297(xpressions to be e)-.15 F -.25(va)
 -.25 G 2.297(luated, under certain circumstances \(see the).25 F F1(let)
-4.797 E F0(and)4.797 E F1(declar)108 213.6 Q(e)-.18 E F0 -.2(bu)2.705 G
-.205(iltin commands and).2 F F1 .205(Arithmetic Expansion)2.705 F F0
-2.705(\). Ev)B .205(aluation is done in \214x)-.25 F .206(ed-width inte)
--.15 F .206(gers with no)-.15 F .429(check for o)108 225.6 R -.15(ve)
--.15 G(r\215o).15 E 1.729 -.65(w, t)-.25 H .429(hough di).65 F .428
-(vision by 0 is trapped and \215agged as an error)-.25 F 5.428(.T)-.55 G
-.428(he operators and their prece-)-5.428 F 1.919(dence, associati)108
-237.6 R(vity)-.25 E 4.419(,a)-.65 G 1.919(nd v)-4.419 F 1.919
-(alues are the same as in the C language.)-.25 F 1.92(The follo)6.92 F
-1.92(wing list of operators is)-.25 F(grouped into le)108 249.6 Q -.15
+4.798 E F0(and)4.798 E F1(declar)108 213.6 Q(e)-.18 E F0 -.2(bu)2.706 G
+.206(iltin commands and).2 F F1 .206(Arithmetic Expansion)2.706 F F0
+2.705(\). Ev)B .205(aluation is done in \214x)-.25 F .205(ed-width inte)
+-.15 F .205(gers with no)-.15 F .428(check for o)108 225.6 R -.15(ve)
+-.15 G(r\215o).15 E 1.728 -.65(w, t)-.25 H .428(hough di).65 F .428
+(vision by 0 is trapped and \215agged as an error)-.25 F 5.429(.T)-.55 G
+.429(he operators and their prece-)-5.429 F 1.92(dence, associati)108
+237.6 R(vity)-.25 E 4.42(,a)-.65 G 1.92(nd v)-4.42 F 1.92
+(alues are the same as in the C language.)-.25 F 1.919(The follo)6.919 F
+1.919(wing list of operators is)-.25 F(grouped into le)108 249.6 Q -.15
 (ve)-.25 G(ls of equal-precedence operators.).15 E(The le)5 E -.15(ve)
 -.25 G(ls are listed in order of decreasing precedence.).15 E/F3 10
 /Times-Italic@0 SF(id)108 266.4 Q F1(++)A F3(id)2.5 E F1<adad>A F0 -.25
@@ -3129,42 +3131,42 @@ A F3 -.2(ex)C(pr).2 E F1(:)A F3 -.2(ex)C(pr).2 E F0
 (Shell v)108 559.2 R .68(ariables are allo)-.25 F .68
 (wed as operands; parameter e)-.25 F .68
 (xpansion is performed before the e)-.15 F .68(xpression is e)-.15 F
--.25(va)-.25 G(lu-).25 E 3.507(ated. W)108 571.2 R 1.007(ithin an e)-.4
-F 1.007(xpression, shell v)-.15 F 1.007
+-.25(va)-.25 G(lu-).25 E 3.508(ated. W)108 571.2 R 1.008(ithin an e)-.4
+F 1.008(xpression, shell v)-.15 F 1.007
 (ariables may also be referenced by name without using the parameter)
--.25 F -.15(ex)108 583.2 S 1.041(pansion syntax.).15 F 3.541(As)6.041 G
-1.041(hell v)-3.541 F 1.041(ariable that is null or unset e)-.25 F -.25
-(va)-.25 G 1.04(luates to 0 when referenced by name without).25 F 1.466
-(using the parameter e)108 595.2 R 1.466(xpansion syntax.)-.15 F 1.467
-(The v)6.466 F 1.467(alue of a v)-.25 F 1.467(ariable is e)-.25 F -.25
-(va)-.25 G 1.467(luated as an arithmetic e).25 F(xpression)-.15 E 1.39
+-.25 F -.15(ex)108 583.2 S 1.04(pansion syntax.).15 F 3.54(As)6.04 G
+1.04(hell v)-3.54 F 1.04(ariable that is null or unset e)-.25 F -.25(va)
+-.25 G 1.041(luates to 0 when referenced by name without).25 F 1.467
+(using the parameter e)108 595.2 R 1.467(xpansion syntax.)-.15 F 1.467
+(The v)6.467 F 1.467(alue of a v)-.25 F 1.467(ariable is e)-.25 F -.25
+(va)-.25 G 1.466(luated as an arithmetic e).25 F(xpression)-.15 E 1.389
 (when it is referenced, or when a v)108 607.2 R 1.389
-(ariable which has been gi)-.25 F -.15(ve)-.25 G 3.889(nt).15 G(he)
--3.889 E F3(inte)3.889 E -.1(ge)-.4 G(r).1 E F0(attrib)3.889 E 1.389
-(ute using)-.2 F F1(declar)3.889 E 3.889(e-)-.18 G(i)-3.889 E F0(is)
-3.889 E .343(assigned a v)108 619.2 R 2.843(alue. A)-.25 F .343(null v)
-2.843 F .343(alue e)-.25 F -.25(va)-.25 G .343(luates to 0.).25 F 2.843
-(As)5.343 G .343(hell v)-2.843 F .343(ariable need not ha)-.25 F .643
--.15(ve i)-.2 H .343(ts inte).15 F .344(ger attrib)-.15 F .344
-(ute turned on)-.2 F(to be used in an e)108 631.2 Q(xpression.)-.15 E
-1.406(Constants with a leading 0 are interpreted as octal numbers.)108
-648 R 3.906(Al)6.406 G 1.406(eading 0x or 0X denotes he)-3.906 F
-(xadecimal.)-.15 E .589(Otherwise, numbers tak)108 660 R 3.089(et)-.1 G
-.589(he form [)-3.089 F F3(base#)A F0 .589(]n, where)B F3(base)3.089 E
-F0 .59(is a decimal number between 2 and 64 represent-)3.089 F .093
-(ing the arithmetic base, and)108 672 R F3(n)2.593 E F0 .093
-(is a number in that base.)2.593 F(If)5.093 E F3(base#)2.593 E F0 .092
-(is omitted, then base 10 is used.)2.593 F .092(The digits)5.092 F .064
+(ariable which has been gi)-.25 F -.15(ve)-.25 G 3.89(nt).15 G(he)-3.89
+E F3(inte)3.89 E -.1(ge)-.4 G(r).1 E F0(attrib)3.89 E 1.39(ute using)-.2
+F F1(declar)3.89 E 3.89(e-)-.18 G(i)-3.89 E F0(is)3.89 E .344
+(assigned a v)108 619.2 R 2.844(alue. A)-.25 F .343(null v)2.843 F .343
+(alue e)-.25 F -.25(va)-.25 G .343(luates to 0.).25 F 2.843(As)5.343 G
+.343(hell v)-2.843 F .343(ariable need not ha)-.25 F .643 -.15(ve i)-.2
+H .343(ts inte).15 F .343(ger attrib)-.15 F .343(ute turned on)-.2 F
+(to be used in an e)108 631.2 Q(xpression.)-.15 E 1.406
+(Constants with a leading 0 are interpreted as octal numbers.)108 648 R
+3.906(Al)6.406 G 1.407(eading 0x or 0X denotes he)-3.906 F(xadecimal.)
+-.15 E .59(Otherwise, numbers tak)108 660 R 3.09(et)-.1 G .59(he form [)
+-3.09 F F3(base#)A F0 .59(]n, where)B F3(base)3.089 E F0 .589
+(is a decimal number between 2 and 64 represent-)3.089 F .092
+(ing the arithmetic base, and)108 672 R F3(n)2.592 E F0 .093
+(is a number in that base.)2.592 F(If)5.093 E F3(base#)2.593 E F0 .093
+(is omitted, then base 10 is used.)2.593 F .093(The digits)5.093 F .065
 (greater than 9 are represented by the lo)108 684 R .064
 (wercase letters, the uppercase letters, @, and _, in that order)-.25 F
-5.065(.I)-.55 G(f)-5.065 E F3(base)2.565 E F0 .433
-(is less than or equal to 36, lo)108 696 R .432(wercase and uppercase l\
+5.064(.I)-.55 G(f)-5.064 E F3(base)2.564 E F0 .432
+(is less than or equal to 36, lo)108 696 R .433(wercase and uppercase l\
 etters may be used interchangeably to represent num-)-.25 F
-(bers between 10 and 35.)108 708 Q .234(Operators are e)108 724.8 R -.25
-(va)-.25 G .234(luated in order of precedence.).25 F(Sub-e)5.234 E .234
-(xpressions in parentheses are e)-.15 F -.25(va)-.25 G .235
-(luated \214rst and may).25 F(GNU Bash-3.2)72 768 Q(2006 December 26)
-135.965 E(25)185.955 E 0 Cg EP
+(bers between 10 and 35.)108 708 Q .235(Operators are e)108 724.8 R -.25
+(va)-.25 G .235(luated in order of precedence.).25 F(Sub-e)5.234 E .234
+(xpressions in parentheses are e)-.15 F -.25(va)-.25 G .234
+(luated \214rst and may).25 F(GNU Bash-3.2)72 768 Q(2007 January 12)
+140.96 E(25)190.95 E 0 Cg EP
 %%Page: 26 26
 %%BeginPageSetup
 BP
@@ -3172,26 +3174,26 @@ BP
 /F0 10/Times-Roman@0 SF -.35(BA)72 48 S 389.54(SH\(1\) B).35 F(ASH\(1\))
 -.35 E -.15(ove)108 84 S(rride the precedence rules abo).15 E -.15(ve)
 -.15 G(.).15 E/F1 10.95/Times-Bold@0 SF(CONDITION)72 100.8 Q
-(AL EXPRESSIONS)-.219 E F0 .256(Conditional e)108 112.8 R .256
+(AL EXPRESSIONS)-.219 E F0 .255(Conditional e)108 112.8 R .255
 (xpressions are used by the)-.15 F/F2 10/Times-Bold@0 SF([[)2.755 E F0
 .255(compound command and the)2.755 F F2(test)2.755 E F0(and)2.755 E F2
-([)2.755 E F0 -.2(bu)2.755 G .255(iltin commands to test).2 F .77
+([)2.756 E F0 -.2(bu)2.756 G .256(iltin commands to test).2 F .77
 (\214le attrib)108 124.8 R .77
 (utes and perform string and arithmetic comparisons.)-.2 F .77
-(Expressions are formed from the follo)5.77 F(wing)-.25 E 1.041
-(unary or binary primaries.)108 136.8 R 1.041(If an)6.041 F(y)-.15 E/F3
-10/Times-Italic@0 SF(\214le)3.541 E F0(ar)3.541 E 1.04
-(gument to one of the primaries is of the form)-.18 F F3(/de)3.54 E
-(v/fd/n)-.15 E F0 3.54(,t)C 1.04(hen \214le)-3.54 F(descriptor)108 148.8
-Q F3(n)3.788 E F0 1.289(is check)3.788 F 3.789(ed. If)-.1 F(the)3.789 E
-F3(\214le)3.789 E F0(ar)3.789 E 1.289
+(Expressions are formed from the follo)5.77 F(wing)-.25 E 1.04
+(unary or binary primaries.)108 136.8 R 1.04(If an)6.04 F(y)-.15 E/F3 10
+/Times-Italic@0 SF(\214le)3.54 E F0(ar)3.54 E 1.041
+(gument to one of the primaries is of the form)-.18 F F3(/de)3.541 E
+(v/fd/n)-.15 E F0 3.541(,t)C 1.041(hen \214le)-3.541 F(descriptor)108
+148.8 Q F3(n)3.789 E F0 1.289(is check)3.789 F 3.789(ed. If)-.1 F(the)
+3.789 E F3(\214le)3.789 E F0(ar)3.789 E 1.289
 (gument to one of the primaries is one of)-.18 F F3(/de)3.789 E(v/stdin)
--.15 E F0(,)A F3(/de)3.789 E(v/stdout)-.15 E F0 3.789(,o)C(r)-3.789 E F3
+-.15 E F0(,)A F3(/de)3.788 E(v/stdout)-.15 E F0 3.788(,o)C(r)-3.788 E F3
 (/de)108 160.8 Q(v/stderr)-.15 E F0 2.5<2c8c>C
 (le descriptor 0, 1, or 2, respecti)-2.5 E -.15(ve)-.25 G(ly).15 E 2.5
-(,i)-.65 G 2.5(sc)-2.5 G(heck)-2.5 E(ed.)-.1 E .722
+(,i)-.65 G 2.5(sc)-2.5 G(heck)-2.5 E(ed.)-.1 E .721
 (Unless otherwise speci\214ed, primaries that operate on \214les follo)
-108 177.6 R 3.221(ws)-.25 G .721(ymbolic links and operate on the tar)
+108 177.6 R 3.221(ws)-.25 G .722(ymbolic links and operate on the tar)
 -3.221 F(get)-.18 E(of the link, rather than the link itself.)108 189.6
 Q F2<ad61>108 213.6 Q F3(\214le)2.5 E F0 -.35(Tr)10.58 G(ue if).35 E F3
 (\214le)2.5 E F0 -.15(ex)2.5 G(ists.).15 E F2<ad62>108 225.6 Q F3
@@ -3238,21 +3240,21 @@ F0 -.35(Tr)10.02 G(ue if).35 E F3(\214le)2.5 E F0 -.15(ex)2.5 G
 F0 -.35(Tr)8.36 G(ue if).35 E F3(\214le)2.5 E F0 -.15(ex)2.5 G
 (ists and has been modi\214ed since it w).15 E(as last read.)-.1 E F3
 (\214le1)108 465.6 Q F0<ad>2.5 E F2(nt)A F3(\214le2)2.5 E F0 -.35(Tr)144
-477.6 S .038(ue if).35 F F3(\214le1)2.538 E F0 .039(is ne)2.539 F .039
+477.6 S .039(ue if).35 F F3(\214le1)2.539 E F0 .039(is ne)2.539 F .039
 (wer \(according to modi\214cation date\) than)-.25 F F3(\214le2)2.539 E
 F0 2.539(,o)C 2.539(ri)-2.539 G(f)-2.539 E F3(\214le1)2.539 E F0 -.15
-(ex)2.539 G .039(ists and).15 F F3(\214le2)2.539 E F0 .039(does not.)
-2.539 F F3(\214le1)108 489.6 Q F0<ad>2.5 E F2(ot)A F3(\214le2)2.5 E F0
+(ex)2.539 G .039(ists and).15 F F3(\214le2)2.539 E F0 .038(does not.)
+2.538 F F3(\214le1)108 489.6 Q F0<ad>2.5 E F2(ot)A F3(\214le2)2.5 E F0
 -.35(Tr)144 501.6 S(ue if).35 E F3(\214le1)2.5 E F0(is older than)2.5 E
 F3(\214le2)2.5 E F0 2.5(,o)C 2.5(ri)-2.5 G(f)-2.5 E F3(\214le2)2.5 E F0
 -.15(ex)2.5 G(ists and).15 E F3(\214le1)2.5 E F0(does not.)2.5 E F3
 (\214le1)108 513.6 Q F2(\255ef)2.5 E F3(\214le2)2.5 E F0 -.35(Tr)144
 525.6 S(ue if).35 E F3(\214le1)2.5 E F0(and)2.5 E F3(\214le2)2.5 E F0
 (refer to the same de)2.5 E(vice and inode numbers.)-.25 E F2<ad6f>108
-537.6 Q F3(optname)2.5 E F0 -.35(Tr)144 549.6 S 1.144
-(ue if shell option).35 F F3(optname)3.874 E F0 1.144(is enabled.)3.824
-F 1.143(See the list of options under the description of the)6.144 F F2
-<ad6f>3.643 E F0(option to the)144 561.6 Q F2(set)2.5 E F0 -.2(bu)2.5 G
+537.6 Q F3(optname)2.5 E F0 -.35(Tr)144 549.6 S 1.143
+(ue if shell option).35 F F3(optname)3.873 E F0 1.143(is enabled.)3.823
+F 1.144(See the list of options under the description of the)6.143 F F2
+<ad6f>3.644 E F0(option to the)144 561.6 Q F2(set)2.5 E F0 -.2(bu)2.5 G
 (iltin belo).2 E -.65(w.)-.25 G F2<ad7a>108 573.6 Q F3(string)2.5 E F0
 -.35(Tr)144 585.6 S(ue if the length of).35 E F3(string)2.5 E F0
 (is zero.)2.5 E F3(string)108 597.6 Q F2<ad6e>108 609.6 Q F3(string)2.5
@@ -3266,7 +3268,7 @@ F3(string2)2.5 E F0 -.35(Tr)144 679.2 S
 F3(string2)2.5 E F0 -.35(Tr)144 708 S(ue if).35 E F3(string1)2.5 E F0
 (sorts before)2.5 E F3(string2)2.5 E F0(le)2.5 E
 (xicographically in the current locale.)-.15 E(GNU Bash-3.2)72 768 Q
-(2006 December 26)135.965 E(26)185.955 E 0 Cg EP
+(2007 January 12)140.96 E(26)190.95 E 0 Cg EP
 %%Page: 27 27
 %%BeginPageSetup
 BP
@@ -3277,63 +3279,63 @@ BP
 F0(sorts after)2.5 E F1(string2)2.5 E F0(le)2.5 E
 (xicographically in the current locale.)-.15 E F1(ar)108.33 112.8 Q(g1)
 -.37 E F2(OP)2.5 E F1(ar)2.5 E(g2)-.37 E/F3 9/Times-Bold@0 SF(OP)144
-124.8 Q F0 .385(is one of)2.634 F F2(\255eq)2.885 E F0(,)A F2(\255ne)
+124.8 Q F0 .385(is one of)2.635 F F2(\255eq)2.885 E F0(,)A F2(\255ne)
 2.885 E F0(,)A F2(\255lt)2.885 E F0(,)A F2(\255le)2.885 E F0(,)A F2
 (\255gt)2.885 E F0 2.885(,o)C(r)-2.885 E F2(\255ge)2.885 E F0 5.385(.T)C
 .385(hese arithmetic binary operators return true if)-5.385 F F1(ar)
-2.885 E(g1)-.37 E F0 .845(is equal to, not equal to, less than, less th\
+2.884 E(g1)-.37 E F0 .845(is equal to, not equal to, less than, less th\
 an or equal to, greater than, or greater than or equal to)144 136.8 R F1
 (ar)144 148.8 Q(g2)-.37 E F0 2.5(,r)C(especti)-2.5 E -.15(ve)-.25 G(ly)
 .15 E(.)-.65 E F1(Ar)6.01 E(g1)-.37 E F0(and)2.5 E F1(ar)2.83 E(g2)-.37
 E F0(may be positi)2.52 E .3 -.15(ve o)-.25 H 2.5(rn).15 G -2.25 -.15
 (eg a)-2.5 H(ti).15 E .3 -.15(ve i)-.25 H(nte).15 E(gers.)-.15 E/F4
 10.95/Times-Bold@0 SF(SIMPLE COMMAND EXP)72 165.6 Q(ANSION)-.81 E F0
-.613(When a simple command is e)108 177.6 R -.15(xe)-.15 G .614
-(cuted, the shell performs the follo).15 F .614(wing e)-.25 F .614
+.614(When a simple command is e)108 177.6 R -.15(xe)-.15 G .614
+(cuted, the shell performs the follo).15 F .613(wing e)-.25 F .613
 (xpansions, assignments, and redi-)-.15 F(rections, from left to right.)
-108 189.6 Q 26(1. The)108 206.4 R -.1(wo)4.349 G 1.849
-(rds that the parser has mark).1 F 1.848(ed as v)-.1 F 1.848
+108 189.6 Q 26(1. The)108 206.4 R -.1(wo)4.348 G 1.848
+(rds that the parser has mark).1 F 1.848(ed as v)-.1 F 1.849
 (ariable assignments \(those preceding the command)-.25 F
 (name\) and redirections are sa)144 218.4 Q -.15(ve)-.2 G 2.5(df).15 G
-(or later processing.)-2.5 E 26(2. The)108 235.2 R -.1(wo)3.663 G 1.163
+(or later processing.)-2.5 E 26(2. The)108 235.2 R -.1(wo)3.664 G 1.164
 (rds that are not v).1 F 1.164
-(ariable assignments or redirections are e)-.25 F 3.664(xpanded. If)-.15
-F(an)3.664 E 3.664(yw)-.15 G 1.164(ords remain)-3.764 F .776(after e)144
-247.2 R .776(xpansion, the \214rst w)-.15 F .776(ord is tak)-.1 F .775
+(ariable assignments or redirections are e)-.25 F 3.663(xpanded. If)-.15
+F(an)3.663 E 3.663(yw)-.15 G 1.163(ords remain)-3.763 F .775(after e)144
+247.2 R .775(xpansion, the \214rst w)-.15 F .775(ord is tak)-.1 F .775
 (en to be the name of the command and the remaining w)-.1 F(ords)-.1 E
 (are the ar)144 259.2 Q(guments.)-.18 E 26(3. Redirections)108 276 R
 (are performed as described abo)2.5 E .3 -.15(ve u)-.15 H(nder).15 E F3
 (REDIRECTION)2.5 E/F5 9/Times-Roman@0 SF(.)A F0 26(4. The)108 292.8 R
-(te)3.216 E .717(xt after the)-.15 F F2(=)3.217 E F0 .717(in each v)
+(te)3.217 E .717(xt after the)-.15 F F2(=)3.217 E F0 .717(in each v)
 3.217 F .717(ariable assignment under)-.25 F .717(goes tilde e)-.18 F
-.717(xpansion, parameter e)-.15 F(xpansion,)-.15 E .34
+.717(xpansion, parameter e)-.15 F(xpansion,)-.15 E .339
 (command substitution, arithmetic e)144 304.8 R .339
 (xpansion, and quote remo)-.15 F -.25(va)-.15 G 2.839(lb).25 G .339
 (efore being assigned to the v)-2.839 F(ari-)-.25 E(able.)144 316.8 Q
 .332(If no command name results, the v)108 333.6 R .332
 (ariable assignments af)-.25 F .332(fect the current shell en)-.25 F
-2.833(vironment. Otherwise,)-.4 F(the)2.833 E -.25(va)108 345.6 S .757
+2.832(vironment. Otherwise,)-.4 F(the)2.832 E -.25(va)108 345.6 S .757
 (riables are added to the en).25 F .757(vironment of the e)-.4 F -.15
 (xe)-.15 G .757(cuted command and do not af).15 F .757
-(fect the current shell en)-.25 F(vi-)-.4 E 3.176(ronment. If)108 357.6
-R(an)3.176 E 3.176(yo)-.15 G 3.176(ft)-3.176 G .677
-(he assignments attempts to assign a v)-3.176 F .677
-(alue to a readonly v)-.25 F .677(ariable, an error occurs, and)-.25 F
-(the command e)108 369.6 Q(xits with a non-zero status.)-.15 E .15
+(fect the current shell en)-.25 F(vi-)-.4 E 3.177(ronment. If)108 357.6
+R(an)3.177 E 3.177(yo)-.15 G 3.177(ft)-3.177 G .677
+(he assignments attempts to assign a v)-3.177 F .677
+(alue to a readonly v)-.25 F .676(ariable, an error occurs, and)-.25 F
+(the command e)108 369.6 Q(xits with a non-zero status.)-.15 E .149
 (If no command name results, redirections are performed, b)108 386.4 R
-.149(ut do not af)-.2 F .149(fect the current shell en)-.25 F 2.649
+.149(ut do not af)-.2 F .15(fect the current shell en)-.25 F 2.65
 (vironment. A)-.4 F(redirection error causes the command to e)108 398.4
 Q(xit with a non-zero status.)-.15 E 1.064
 (If there is a command name left after e)108 415.2 R 1.064(xpansion, e)
 -.15 F -.15(xe)-.15 G 1.064(cution proceeds as described belo).15 F
-4.864 -.65(w. O)-.25 H 1.064(therwise, the).65 F .069(command e)108
-427.2 R 2.569(xits. If)-.15 F .069(one of the e)2.569 F .069
-(xpansions contained a command substitution, the e)-.15 F .068
-(xit status of the command)-.15 F .466(is the e)108 439.2 R .466
-(xit status of the last command substitution performed.)-.15 F .467
+4.864 -.65(w. O)-.25 H 1.064(therwise, the).65 F .068(command e)108
+427.2 R 2.568(xits. If)-.15 F .069(one of the e)2.568 F .069
+(xpansions contained a command substitution, the e)-.15 F .069
+(xit status of the command)-.15 F .467(is the e)108 439.2 R .466
+(xit status of the last command substitution performed.)-.15 F .466
 (If there were no command substitutions, the)5.466 F(command e)108 451.2
 Q(xits with a status of zero.)-.15 E F4(COMMAND EXECUTION)72 468 Q F0
-.547(After a command has been split into w)108 480 R .546
+.546(After a command has been split into w)108 480 R .547
 (ords, if it results in a simple command and an optional list of ar)-.1
 F(gu-)-.18 E(ments, the follo)108 492 Q(wing actions are tak)-.25 E(en.)
 -.1 E .379(If the command name contains no slashes, the shell attempts \
